package com.zzsn.knowbase.config;

import com.baomidou.mybatisplus.extension.plugins.PaginationInterceptor;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * Description:
 * Author: obcy
 * Date: 2024/1/4
 */
@Configuration
public class MybatisPlusConfig {
    /**
     * mybatis-plus分页插件
     * */
    @Bean
    public PaginationInterceptor paginationInterceptor() {
        PaginationInterceptor paginationInterceptor = new PaginationInterceptor().setLimit(-1);
        return paginationInterceptor;
    }
}
